ServerEvents.recipes(event => {







    //Railcraft
        event.shaped(
            Item.of('simpleradio:transceiver', 1), 
            [
            'ABB',
            'DCE',
            'BFB'
            ],
            {
            A: 'minecraft:redstone_torch',
            B: 'tfc:metal/ingot/wrought_iron',
            C: 'minecraft:redstone',
            D: 'simpleradio:transmitting_module',
            E: 'simpleradio:receiving_module',
            F: 'simpleradio:speaker_module',
            }
        )

        event.shaped(
            Item.of('simpleradio:radiosmither', 1), 
            [
            'BAB',
            'CCC'
            ],
            {
            A: 'tfc:gem/amethyst',
            B: 'tfc:metal/ingot/wrought_iron',
            C: 'tfc:rock/hardened/basalt'
            }
        )

        event.shaped(
            Item.of('simpleradio:radio',1), 
            [
            'BBA',
            'EFC',
            'BBB'
            ],
            {
            A: 'minecraft:redstone_torch',
            B: 'tfc:metal/ingot/wrought_iron',
            C: 'minecraft:redstone',
            E: 'simpleradio:receiving_module',
            F: 'simpleradio:speaker_module',
            }
        )

        event.shaped(
            Item.of('simpleradio:transmitting_module', 1), 
            [
            'A',
            'B',
            'C'
            ],
            {
            A: 'minecraft:redstone_torch',
            B: 'tfc:metal/ingot/wrought_iron',
            C: 'tfc:gem/lapis_lazuli'
            }
        )

        event.shaped(
            Item.of('simpleradio:receiving_module', 1), 
            [
            'A',
            'B',
            'C'
            ],
            {
            A: 'minecraft:redstone_torch',
            B: 'tfc:metal/ingot/wrought_iron',
            C: 'tfc:gem/amethyst'
            }
        )

        event.shaped(
            Item.of('simpleradio:speaker_module', 1), 
            [
            'A',
            'B',
            'C'
            ],
            {
            A: 'minecraft:redstone',
            B: 'tfc:metal/ingot/wrought_iron',
            C: 'minecraft:note_block'
            }
        )

        event.shaped(
            Item.of('simpleradio:speaker_module', 1), 
            [
            ' A ',
            ' C ',
            'B B'
            ],
            {
            A: '#minecraft:wool',
            B: 'tfc:metal/ingot/wrought_iron',
            C: 'simpleradio:listener_module'
            }
        )

        event.shaped(
            Item.of('simpleradio:speaker', 1), 
            [
            'BBB',
            'BAC',
            'BBB'
            ],
            {
            A: 'minecraft:redstone',
            B: 'tfc:metal/ingot/wrought_iron',
            C: 'simpleradio:speaker_module'
            }
        )

        event.shaped(
            Item.of('simpleradio:antenna', 1), 
            [
            'A',
            'B',
            'A'
            ],
            {
            A: 'tfc:metal/bars/wrought_iron',
            B: 'tfc:metal/ingot/wrought_iron'
            }
        )

        event.shaped(
            Item.of('simpleradio:listener_module', 1), 
            [
            'C',
            'B',
            'A'
            ],
            {
            A: '#minecraft:wool',
            B: 'tfc:metal/ingot/copper',
            C: 'minecraft:redstone'
            }
        )



})